import 'package:stateful_provider/model/nothing.dart';
import 'package:stateful_provider/model/page_request.dart';
import 'package:stateful_provider/provider/base_provider.dart';
import 'package:flutter/foundation.dart';
import 'query_pageable.dart';

class Pageable<Model> extends QueryPageable<Model, Nothing> {
  Pageable({
    @required BaseProvider provider,
    @required Future<List<Model>> Function(QueryPageRequest<Nothing> page) apiCall,
  }) : super(
          provider: provider,
          call: (QueryPageRequest<Nothing> query) => apiCall(query),
          query: const Nothing(),
        );
}
